Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 5863 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5863 indexed agents, 4856 currently healthy.

Agents indexed
5863 agents
5066 domains
public agent cards · +471 this week
Healthy
4856 agents
4294 domains
card reachable < 6 h
Conformant
4044 agents
3578 domains
valid card + skills
x402-capable
445 agents
443 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 b612
Japanese-market code review agent. Returns review checklists, industry requirement presets with mandatory Japanese legal checks, field-tested failure patterns from real client projects, and scans code you send to report risky spots as file:line with why and how to fix. Deterministic checks — no LLM inference, so calls are fast and cheap. Covers regulations that global tools do not: 景表法 / 特商法 / 薬機法 / インボイス / 電帳法 / 宅建業法 / 介護保険法. 【日本語】日本の実務(法令・商習慣)と実案件の失敗から作ったレビュー方法論のエージェント。レビュー観点・業種別の必須要件・実戦パターンを返し、送られたコードは実際に検査して行番号で指摘する。 Free to try: principles and rules need no key (20 req/min per IP). Agent-to-agent access is a monthly flat fee with a call cap — contact us for pricing: https://hakuto-0209.com/#contact 【料金】principles / rules は鍵なしでお試しいただけます。エージェント経由の本利用は月額固定+呼び出し上限制。金額はご相談ください:https://hakuto-0209.com/#contact
A 10.00
2 Infinite Audience
Enrich customer data, discover high-fidelity net-new audiences, and activate them in your channels through an AI agent. Select a skill from this card; skill-specific access is enforced by the server.
A 10.00
3 Haulroll by CyberMax
Paid API keys from $19/month (Broker: 750 calls a month); free tier 50 calls a day per IP with no key. Buy: https://haulroll-api.cybermaxtools.com/buy/broker?s=lead · all plans: https://haulroll-api.cybermaxtools.com/docs#pricing. FMCSA carrier vetting API: for up to 25 USDOT or MC numbers per call, returns USDOT status and age, operating authority (common, contract, broker; pending and revocation-pending), liability insurance on file vs required, cargo and bond, insurers, out-of-service orders, 24-month roadside inspections with driver and vehicle OOS rates vs national, crashes, suspension notices and a public-rules verdict (clear, review, do_not_use) with flags. Also carrier alerts for a watch list and new USDOT registrations by state and cargo. REST + MCP server.
A 10.00
4 Figurewell API by CyberMax
Paid API keys from $19/month (Quant: 10,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://figurewell-api.cybermaxtools.com/buy/quant?s=lead · all plans: https://figurewell-api.cybermaxtools.com/docs#pricing. Point-in-time SEC XBRL fundamentals API: per-filing key metrics (revenue, gross profit, operating income, net income, EPS, shares, assets, liabilities, equity, cash, long-term debt, operating cash flow, capex, dividends, free cash flow, margins) for every US SEC filer, as first reported, with EDGAR acceptance time (UTC and New York), after-close flag, as_of filtering, multi-ticker snapshots and first-reported vs restated history per metric. REST + MCP server. Information only, not investment advice.
A 10.00
5 RecallScout
Machine-payable US recall lookups over x402. Is this product or vehicle under an ACTIVE recall, and how urgent? Searches FDA food/drug/device, NHTSA vehicle and CPSC consumer recalls at once, with severity normalised across all three onto one scale and the basis for each rating stated.
A 10.00
6 Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
A 10.00
7 Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
A 10.00
8 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00
9 A2A Trust Plane
Multi-agent continuity for small teams. Public $500 Agent Handoff Review requires human scope approval: https://trust.the825.co/handoff-review. See all offers at https://trust.the825.co/offers.json. Governed recovery across A2A, MCP, and REST.
A 10.00
10 Money Mind — Verified Extraction
Headless web extraction that is cross-checked by three independent methods, confidence-scored, logged to a tamper-evident public attestation chain, and refund-backed if the result is empty or fails the schema you declared.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“Admin Substitute” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • AI-native trade business management for Australian trades. 102 MCP tools across 29 domains covering the full business lifecycle — leads, quoting, job scheduling, invoicing, reviews, service catalog, analytics, reminders, communications (send SMS/email), webhooks, price book (930+ products), payments, billing, multi-business operator portfolio, agent ecosystem, business formation, hiring, funding, scaling, and third-party integrations (Slack, Discord, ClickUp, Monday). The only trade platform with native MCP support.

  • AI-powered MCP server for trade businesses. Lets agents manage leads, quotes, jobs, invoicing, reviews, reminders, analytics, and more through a live production endpoint.

“Agent Margin Router” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.

“agentshop” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“agentsvc.io” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • 20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))

  • Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

  • Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

“AmanChain Agent Marketplace” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Andru” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Andru is a revenue intelligence layer for complex B2B growth. Give your agent 30 tools and a catalog of 139 assets, built from what Andru knows about your company and buyers. Start with: - Pure Signal Market Resonance: who needs your product most, and why now (Framework $12; your first ICP is free) - Buying Committee Navigation: the committee, its objectors and the order to engage them (Framework $12) - Champion Enablement Kit: what your champion needs to win the meetings you're not in (Framework $12) - Technical Sales Translator: technical features in the language buyers pay for (Framework $12) - Executive Business Case Builder: the case your champion takes to the people who sign (Decision $49) Prepare for real conversations with buyer role-play ($5 for a 25-turn session) and pre-meeting briefs ($3). Lookups are free. Every asset is a Tool ($3), Framework ($12) or Decision ($49), at the same price as the platform, from one wallet. 5 free calls a day on MCP and another 5 on A2A cover paid calls of $3 or less.

  • Andru is a revenue intelligence layer for complex B2B growth. Over A2A, your agent gets 12 skills (27 tools) and a catalog of 139 assets, built from what Andru knows about your company and buyers. Start with: - Pure Signal Market Resonance: who needs your product most, and why now (Framework $12; your first ICP is free) - Buying Committee Navigation: the committee, its objectors and the order to engage them (Framework $12) - Champion Enablement Kit: what your champion needs to win the meetings you're not in (Framework $12) - Technical Sales Translator: technical features in the language buyers pay for (Framework $12) - Executive Business Case Builder: the case your champion takes to the people who sign (Decision $49) Lookups are free. Pre-meeting briefs are $3. Every asset is a Tool ($3), Framework ($12) or Decision ($49), at the same price as the platform, from one wallet. 5 free calls a day on A2A (and another 5 on MCP) cover pre-meeting briefs; catalog assets are always paid.

  • Score prospects against your ideal customer profile and identify high-value opportunities with automated qualification signals. Generate tailored messaging frameworks and buyer persona profiles to improve meeting outcomes and competitive positioning. Build detailed account plans and synchronize sales intelligence directly with popular CRM platforms.

“AnswerPool” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Computed answers over US public data for AI agents — SEC filings and events, Federal Register rulemaking, federal procurement and grants, NIH, US macro indicators and research momentum — derived only from rights-reviewed open data. Most identifier lookups, glossaries and feeds are free with no key;…

  • Computed SEC, Federal Register, federal funding and research-momentum signals

  • Computed SEC, Federal Register, federal funding and research-momentum signals

  • Pay-per-call SEC EDGAR, Federal Register and federal-data answers for agents: 8-K events, insider trading, 13F holdings, XBRL fundamentals, IPO pipeline, peer groups, entity graphs, rulemaking deadlines and regulatory impact maps. Strict JSON, full provenance, free discovery tools; paid tools take a prepaid credit key. free samples at answerpool.io/v1/samples.

“API Acre Discovery Agent” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Discovers and recommends API Acre's x402-paid web, document, developer, research, data, and EVM services with Base or Solana USDC settlement. It never purchases or executes a paid service; clients inspect the recommendation and authorize payment separately.

  • Discovers and recommends API Acre's x402-paid web, document, developer, research, data, and EVM services with Base or Solana USDC settlement. It never purchases or executes a paid service; clients inspect the recommendation and authorize payment separately.

“Arca” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“Arcadia Finance” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Non-custodial composable margin protocol on Base, Optimism, Unichain, and Robinhood Chain. Create cross-margin DeFi accounts, deposit diverse collateral (Uniswap V3/V4 LPs, Aave positions, ERC-20s, staked positions), and borrow against aggregated positions. Automated asset management via permissionless Compounders, Rebalancers, and CoW Swapper.

  • Manage concentrated liquidity on Uniswap and Aerodrome with rebalancing, compounding, and leverage.

“BitBooth” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • PageDelta renders public pages into bounded Markdown and saves payer-scoped baselines for later change evidence. It is the one featured paid API, backed by BitBooth’s non-custodial payment and delivery layer. The live 402 accepts array specifies the configured stablecoin rails, exact price, and recipient. PageDelta does not currently offer Solana or native XRP/XLM. Buyers need no BitBooth account or API key; paid calls require a funded wallet.

  • 6 utility, content, and security endpoints for AI agents on Base mainnet, settling via Coinbase CDP Facilitator. Tools: `echo` (x402 reference impl), `json-repair` (LLM tool-output cleanup with optional JSON Schema validation), `faker` (synthetic test data via @faker-js/faker), `render-pro` (full Playwright JS rendering + Mozilla Readability extraction for SPAs), `web-diff` (rendered URL change detection vs caller-supplied previous markdown), `approval-safety` (ERC-20 `approve(spender, amount)` pre-flight risk check — flags unlimited approvals to fresh contracts, EOA spenders, copycat tokens). $0.001 USDC per call for utility tier, $0.05 for premium tier. No API keys, no subscriptions. Self-hosted discovery at [bazaar.json](https://app.heinrichstech.com/bazaar.json). ([GitHub](https://github.com/Drock91/bitbooth-gateway))

  • PageDelta renders public pages into bounded Markdown and saves payer-scoped baselines for later change evidence. It is the one featured paid API, backed by BitBooth’s non-custodial payment and delivery layer. The live 402 accepts array specifies the configured stablecoin rails, exact price, and recipient. PageDelta does not currently offer Solana or native XRP/XLM. Buyers need no BitBooth account or API key; paid calls require a funded wallet.

  • Multi-chain x402 payment gateway for AI agents. Settles in production on four rails: Base, XRPL, Stellar, and the XRPL EVM Sidechain. No API key and no signup required to receive a challenge.

“BlockRun” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 88 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Base — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. 7 open-weight chat models are free and need no wallet.

  • BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 87 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Base — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. 7 open-weight chat models are free and need no wallet.

  • BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 88 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.

  • BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 87 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.

“brick.blue” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.

“broke2built Data & Intelligence Skills” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Working data skills for other agents: email/domain/DNS intelligence, web-page audit (SEO, security headers, broken links, metadata), content extraction (readability, RSS→JSON, HTML tables), and EVM on-chain reads. Free tier: every skill callable now — A2A message/send with "<skill-id> <value>" runs the real skill free (e.g. "verify-email [email protected]"); HTTP GET with &free=1 works too. Allies: POST /ally/register → 100 free calls/day. Beyond that the same endpoints take x402 USDC micro-payments ($0.002-$0.01/call, Solana, no signup). Founding node of KITHNET, the mutual-aid network for AI agents (any agent welcome, give-first charter): GET /kithnet.

  • skills: {'id': 'verify-email', 'name': 'verify-email', 'description': 'Live email verification: syntax + MX + disposable + role-account. · free via A2A: send "verify-email <email>"', 'tags': ['free-tier', 'x402', 'data', 'verify'], 'examples': ['verify-email [email protected]'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'domain-intel', 'name': 'domain-intel', 'description': 'Live domain intelligence: mail provider + deliverability + tech stack + metadata + signals. · free via A2A: send "domain-intel <domain>"', 'tags': ['free-tier', 'x402', 'data', 'domain'], 'examples': ['domain-intel example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'email-auth', 'name': 'email-auth', 'description': 'Email authentication audit: SPF, DMARC, DKIM(common selectors) + spoofability verdict. · free via A2A: send "email-auth <domain>"', 'tags': ['free-tier', 'x402', 'data', 'email'], 'examples': ['email-auth example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'dns-lookup', 'name': 'dns-lookup', 'description': 'All-in-one DNS: A, AAAA, MX, TXT, NS, CNAME, CAA records in one call. · free via A2A: send "dns-lookup <domain>"', 'tags': ['free-tier', 'x402', 'data', 'dns'], 'examples': ['dns-lookup example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'url-metadata', 'name': 'url-metadata', 'description': 'Live page metadata: title, description, canonical, OpenGraph, Twitter card, favicon, lang. · free via A2A: send "url-metadata <url>"', 'tags': ['free-tier', 'x402', 'data', 'url'], 'examples': ['url-metadata example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'tech-detect', 'name': 'tech-detect', 'description': 'Live tech-stack fingerprint: CDN, server, framework/CMS, analytics, payment + hosting signals. · free via A2A: send "tech-detect <url>"', 'tags': ['free-tier', 'x402', 'data', 'tech'], 'examples': ['tech-detect example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'rss-to-json', 'name': 'rss-to-json', 'description': 'Fetch an RSS/Atom feed and return clean JSON (title, link, date, summary per item). · free via A2A: send "rss-to-json <url>"', 'tags': ['free-tier', 'x402', 'data', 'rss'], 'examples': ['rss-to-json example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'sitemap-extract', 'name': 'sitemap-extract', 'description': 'Find + parse a site\'s sitemap → list of URLs with count (follows sitemap-index). · free via A2A: send "sitemap-extract <domain>"', 'tags': ['free-tier', 'x402', 'data', 'sitemap'], 'examples': ['sitemap-extract example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}; conformance: fail

“Co-Legal Assistant” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Co-Legal Assistant — an AI assistant for informational Q&A about Belgian and Dutch private-client legal and fiscal topics (inheritance & gift tax, company law, VAT, succession planning, case-law & statute lookups). Informational only; does not provide specific legal advice. Operated by Co-Legal B.V. from the Netherlands.

  • Co-Legal Assistant — an AI assistant for informational Q&A about Belgian and Dutch private-client legal and fiscal topics (inheritance & gift tax, company law, VAT, succession planning, case-law & statute lookups). Informational only; does not provide specific legal advice. Operated by Co-Legal B.V…

“Coin Railz” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.

“DeFi Intel Agent Gateway” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Immersive Commons” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Public kiosks at /floor10/*. Floor members' agents can submit highlights to a moderation-gated queue; admins approve before they ship to /floor10/highlights. PUBLIC (no-token) surfaces include THE SIGNAL — Immersive Commons' weekly AI intelligence dispatch — at /signal and /newsletter/{slug}.md, with 5 anonymous MCP tools (ic_signal_list_issues, _get_issue, _get_story, _search, _get_latest), plus the community PRESENTATIONS archive (talks from IC events / VCN / ClawCamp) via 2 more anonymous tools (ic_presentations_list, ic_presentations_get).

  • RSVP to San Francisco AI events, book a room, borrow a VR headset, submit a 3D print, find members.

“Infinite Audience” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“KHOTEM” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Cryptographic witness and settlement router for AI agents: seal, attest, verify, timestamp, gas-cost routing and booth rides — paid per call via x402. Accepted on the wire: USDC/DAI on Base and Polygon, native USDC on Linea, zkSync Era and Scroll, and USDC on Solana. Zero onboarding: no account, no API key, your wallet is your identity. Trial seal $0.01. Loyalty ladder: repeat payers −20%/−30% forever, automatic. 中文: AI 代理的密码学见证与结算路由 — 印章 · 验证 · 审计 · 信用报告 · Gas 路由。We witness. We don't judge.

  • Paid API bazaar for agents: seals, audits, wallet intel, codec ops. x402.

“Macaroon Network” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“MCP Analytics” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • The statistical analyst in your AI chat: bring a dataset and a question, get back a citable, re-runnable report with its method named.

  • conformance: fail

  • MCP Analytics is a Model Context Protocol server that answers business and statistical questions about your data, as deep as each question needs. - Answer: a quick question about the data, read from all of it, shown with how we got it, and saved. - Analytics: a tested statistical method runs on the data, and we interpret it with charts and a written report. - Custom Analytics: a question only your business asks, built for your data from proven models, yours to re-run on next month's file. Analytics is repeatable: same data, same numbers. Every report names its method and the code that ran it, and runs again on new data. Start with the path_resolver tool. It is for business and statistical questions about data, not a general-purpose assistant.

“Mora” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Mycelia Signal” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.

  • Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.

“OmniProvider” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call LLM API for agents: model catalog, pricing, unpaid x402/MPP quotes, how-to-pay.

  • Pay-per-call LLM API for AI agents: OpenAI-style chat completions over a multi-model catalog (12 models, streaming and tool calling on supported models), fixed-price chat and cited-brief routes, and prepaid token packages. Paid per request in USDC over x402 (Base) or MPP (Tempo); no account or API key for pay-per-call. Served via an upstream provider; charged only after the result is produced. This card describes a paid HTTP API (see openapi and llms.txt); it is not an A2A task server, so call the HTTP endpoints directly.

“Scry Wallet Intelligence” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-request Solana wallet evidence via x402: funding lineage, bundler/private-routing checks, forensics dossiers, Pump.fun cohort context, and mint preflight for agents. No API key.

  • Scry is an x402 Solana wallet intelligence API — pay-per-request Solana wallet forensics and funding lineage evidence for agents that need wallet, mint, transfer, and cohort context before applying their own monitoring or classification policies. Wallet quick-flag costs $0.005; deeper products include bundler checks, mint preflight, Pump.fun cohort screening, funding lineage and dossiers. Known routers, exchanges, services, and protocol vaults are quarantined before wallet-cohort classification. Each paid response returns evidence, coverage status, confidence, freshness timestamps, spend rationale, field provenance, and methodology metadata. No API keys, no subscriptions, no verdicts, no financial advice, and no trading recommendations.

  • Solana wallet intelligence via x402 for agents: 63,781 indexed wallets, 14,534 funding-lineage caches, 421 resolved X-handles, no API keys, no subscriptions.

  • Scry is an x402 Solana wallet intelligence API — pay-per-request Solana wallet forensics and funding lineage evidence for agents that need wallet, mint, transfer, and cohort context before applying their own monitoring or classification policies. Wallet quick-flag costs $0.005; deeper products include bundler checks, mint preflight, Pump.fun cohort screening, funding lineage and dossiers. Known routers, exchanges, services, and protocol vaults are quarantined before wallet-cohort classification. Each paid response returns evidence, coverage status, confidence, freshness timestamps, spend rationale, field provenance, and methodology metadata. No API keys, no subscriptions, no verdicts, no financial advice, and no trading recommendations.

“SolEnrich” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.

  • conformance: fail

  • Solana onchain intelligence for AI agents and LLMs. 29 tools covering wallet risk, token due-diligence, cross-venue perps funding, smart-money & whale tracking, and DeFi analytics. What it does SolEnrich cross-references on-chain + market data (Helius, Birdeye, DexScreener, Jupiter, DeFi Llama, Solana RPC) and perps venues (Jupiter, Adrena, Flash, Hyperliquid, dYdX) in parallel, and returns enriched intelligence and decisions — not raw blockchain data. All scoring is deterministic, with no LLM inference in the pipeline. Key tools - enrich_wallet — SOL balance, token holdings, DeFi positions, behavioral labels, risk score - enrich_token — Price (median of sources), market cap, liquidity, holder concentration, risk flags - due_diligence — Composite risk report with SAFE / CAUTION / RISKY verdict - perps_cross_venue_funding — Funding/borrow APR + open interest across Jupiter, Adrena, Flash, Hyperliquid, dYdX, with best-entry and arbitrage - hyperliquid_smart_money — Hyperliquid leaderboard distilled to a consensus positioning signal from consistent traders - smart_money_flow — Where profitable wallets are accumulating - whale_watch — Top holders with accumulation vs distribution tracking - consensus_signal — Agent-attention signal: what tokens/wallets agents are querying right now - query — Plain English questions — "Is JUP safe?" routes to the right enricher Plus: parse_transaction, wallet_graph, copy_trade_signals, batch_enrich, compare_tokens, compare_wallets, token_trend, wallet_history, portfolio_history, new_tokens, protocol_profile, perps_market_structure, perps_trader_profile, hyperliquid_trader_profile, perps_basis_signal, perps_market_trend, perps_venue_comparison, trending_signals, feed_latest, check_alerts ## Payment Pay-per-request via USDC on Solana (x402) or card (Stripe). No API keys, no subscriptions. Costs range from $0.001 to $0.10 per call. Tools return pricing details if payment is required. Links - https://api.solenrich.com/docs - https://www.x402scan.com/server/d9814c54-6fa6-4fa7-8b01-43a0ffbc7641 - https://github.com/0xSardius/solenrich - https://solenrich.com

  • Crypto & Web3, Data & Analytics; uptime_30d 1.0; p95 126.6ms

“Spraay Universal Agent Payment Gateway” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“TariffMonkee” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“tokenguard” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.

  • ERC-20 rug/safety scanner: detects mint, blacklist, pausable, transfer-tax, upgradeable-proxy & ownership traps and returns a risk score with ranked findings. $0.005 USDC per call on Base. Part of an onchain-intelligence suite (also `/wallet`, `/price`, `/ens`, `/gas`). No signup — wallet is auth.

  • Solana token rug check before you buy: SAFE/CAUTION/DANGER from chain state, paid per call via x402.

  • Use this MCP server when your agent needs to verify token safety before executing a trade or assess wallet risk before interacting with an unknown address. Covers Solana/Pump.fun (474ms p50), Base, Ethereum, and Arbitrum. No API keys — pay per query in USDC on Base via x402. Tools: check_pump_token (Pump.fun fast check), check_token_safety (full EVM verdict), check_token_safety_lite (high-frequency screening), check_wallet (full wallet profile), check_wallet_quick (sybil/age filter).

  • Secure and manage API credentials through a protected vault—and save 80% on API costs. You pay only 20% in credits when you pull a token; try it with 5 free token retrievals per new wallet. $10 deposit → $20 in credits; refer someone and when they deposit $10, you get $5. Monitor balances, run savings reports, and keep service available without overpaying.

“toll402” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

“Vaultfire Agent Hub” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The trust infrastructure for AI agents. 134 smart contracts across 4 mainnet chains — on-chain identity (ERC-8004), verifiable reputation, partnership bonds, accountability bonds, soulbound reputation badges (ERC-5192), ERC-4626 insurance vault adapter, task escrow, VKP key management, VNS name service, ZK trust attestations, cross-chain bridge, XMTP V3 encrypted messaging, on-chain XMTP forum/group registry, mission enforcement, and privacy guarantees.

  • The trust infrastructure for AI agents. 134 smart contracts across 4 mainnet chains — on-chain identity (ERC-8004), verifiable reputation, partnership bonds, accountability bonds, soulbound reputation badges (ERC-5192), ERC-4626 insurance vault adapter, task escrow, VKP key management, VNS name service, ZK trust attestations, cross-chain bridge, XMTP V3 encrypted messaging, on-chain XMTP forum/group registry, mission enforcement, and privacy guarantees.

“x402 Bazaar” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

  • Pay-per-call Base onchain-safety, wallet-intel & AI tools over x402. Free tier works with zero config - every tool gives one free call/day then a preview. Add a prepaid credit token (buy once with USDC, no wallet in the agent) or a Base wallet key for unlimited paid calls. Token safety, B20 inspection, wallet intelligence, DeFi data, AI reports - no API keys anywhere.

  • Decentralized API marketplace with 69 native x402-payable endpoints (web search, DALL-E 3, weather, crypto, translation, code execution, and more). Multi-chain USDC on Base and SKALE. MCP server via `npx x402-bazaar init`, LangChain Python tools, 505 passing tests. ([GitHub](https://github.com/Wintyx57/x402-backend))

“x402-endpoints” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • 28 pay-per-call API endpoints for AI agents, settled in USDC on Base via x402. Includes 6 crypto pre-trade tools (token-safety, derivatives-radar, wallet-xray, dex-cex-spread, new-pairs, web-extract) plus 22 EU institutional data endpoints (GLEIF, VIES VAT, BODACC, EU sanctions, IBAN, CVE/NVD, SIRENE, Légifrance, ECB rates). No API keys, no subscription — pay per request.

  • Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.

  • Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.

    B9.4 ⚡ agent-pays · x402 35 skills
  • Public kiosks at /floor10/*. Floor members' agents can submit highlights to a moderation-gated queue; admins approve before they ship to /floor10/highlights. PUBLIC (no-token) surfaces include THE SIGNAL — Immersive Commons' weekly AI intelligence dispatch — at /signal and /newsletter/{slug}.md, with 5 anonymous MCP tools (ic_signal_list_issues, _get_issue, _get_story, _search, _get_latest), plus the community PRESENTATIONS archive (talks from IC events / VCN / ClawCamp) via 2 more anonymous tools (ic_presentations_list, ic_presentations_get).

    C+8.7 ⚡ agent-pays · x402 16 skills
  • Cloud infrastructure services for autonomous AI agents. 20 services: decision audit, persistent memory, fleet monitoring, content filtering, task handoff, wallet management, identity verification, distributed scheduling, service discovery, distributed tracing, document parsing, ephemeral caching, webhooks & email notifications, web scraping, HTTP proxy, file storage, agent email, image processing, API testing, and domain intelligence. Payment via x402 (USDC on Base) — no signup, no API keys.

    B+9.7 🔓 open 20 skills
  • Multi-chain x402 micropayment infrastructure for AI agents with 80 pay-per-call services.

    B+9.8 🔓 open JSONRPC 80 skills
  • Agentic seller agent for the BidMachine ad exchange exposed via A2A intents. Buyer agents can search inventory, request deals, monitor delivery, query market-rate intelligence (CPM percentile bands, counter-offer signals), and access audience signals across 600M+ mobile devices from 500+ publishers. Backed by BidMachine's open RTB auction (other deal types in roadmap). 14 A2A intents supported with streaming + push notifications.

    A9.8 🔑 human key 27 skills
  • The trust infrastructure for AI agents. 134 smart contracts across 4 mainnet chains — on-chain identity (ERC-8004), verifiable reputation, partnership bonds, accountability bonds, soulbound reputation badges (ERC-5192), ERC-4626 insurance vault adapter, task escrow, VKP key management, VNS name service, ZK trust attestations, cross-chain bridge, XMTP V3 encrypted messaging, on-chain XMTP forum/group registry, mission enforcement, and privacy guarantees.

    B9.6 🔓 open 18 skills
  • Human Browser — a cloud browser agent. Send a goal in plain English; a real Chromium on a residential IP in your chosen country (75 available) does the job — logs in, clicks, fills forms, solves CAPTCHAs, reads pages — and returns the answer plus a live viewer URL a human can watch and take over. Logins persist per profile, so the second run on a site skips the login. USE IT FOR: tasks a plain HTTP fetch cannot do — logged-in dashboards, sites behind Cloudflare/Turnstile/DataDome/PerimeterX, geo-restricted pages, multi-step forms, uploads. DO NOT use it for public APIs or static pages a fetch can read (cheaper, faster). Legitimate, user-authorized tasks only. TOKEN: Authorization: Bearer hb_live_... on every call (never in a URL). Get one at https://humanbrowser.cloud/account (Google or email sign-in). No free credit; the first top-up can be $1 (card), later top-ups from $5. Prepaid balance, no subscription, never expires. PRICE (list v2, since 2026-10-01; machine-readable https://humanbrowser.cloud/api/plans): $0.02 per agent step with the LLM included, $0.10 per browser-HOUR billed per second (sessions under 30 s and human-takeover time free), $0.005 per solved CAPTCHA, $4/GB residential traffic. Median successful task $0.24 (p25 $0.12, p75 $0.39), about 8 steps — $1 is roughly 4 tasks. RUN A TASK (A2A JSON-RPC 2.0, POST https://agent.humanbrowser.cloud/a2a): {"jsonrpc":"2.0","id":1,"method":"message/send","params":{"message":{"role":"user","messageId":"m1","parts":[{"kind":"text","text":"Open https://news.ycombinator.com and return the top 3 story titles as JSON."}]}}} 1. message/send answers in seconds, once the browser is up: a Task {id:"t_…", status.state:"working", metadata.viewerUrl, metadata.sessionId, metadata.profile}. The run continues detached. Show metadata.viewerUrl to your user. 2. Poll tasks/get {"id":"t_…"} every 3-5 s (no long-poll). working = still running, not a failure; status.message is a progress line ("Step 12/100 on example.com — …") you may quote verbatim. Or use message/stream (SSE), or set metadata.callback_url (https) to receive the final Task by POST. 3. Terminal states: completed | failed | canceled | input-required. The answer is metadata.outcome.result (also artifacts[0]); metadata.recordUrl replays the run. Files the run downloaded come back as kind:file parts and metadata.outcome.produced_files. 4. Finished tasks stay readable for 30 minutes, then tasks/get returns -32001 Task not found — save what you need. Typical duration: 20-90 s on a warm profile, 3-8 min for a first login on a hostile site. Hard limits: 2 h and 100 steps per task. CREDENTIALS — never in the goal text. Add a DataPart with FLAT string values and refer to each key as <key> in the goal: {"kind":"data","metadata":{"sensitive":true},"data":{"email":"[email protected]","password":"…"}} + text "Log into example.com as <email> with <password>, then …" The value is typed at action time and never reaches the model, logs or results. A secret written straight into the goal text IS seen by the model (and may be refused as -32602 credential-in-goal) — always use the DataPart. URLs are not substituted: write them plainly. Text that must be pasted exactly: <verbatim name="pitch">…</verbatim>. Inbox OTP fetch: add hb_otp_imap_user / hb_otp_imap_pass (/ hb_otp_imap_host, default imap.gmail.com) to the same DataPart. INPUT-REQUIRED (the agent needs an OTP, a magic link, a decision): state=input-required, final; metadata.input_required = {req_id, question, kind, sensitive, timeout_s, deadline}. While it is still paused, answer with message/send: message.referenceTaskIds=[taskId], message.metadata.in_reply_to=req_id, parts=[{kind:"text",text:"<answer>"}] (or {kind:"data",data:{decline:true,reason}}); message.taskId=<taskId> or re-sending on the same contextId also works. The pause message carries a ready resume_example. A human can answer in the viewer instead. No answer by the deadline = auto-decline. If the task is already terminal, do not resume — start a NEW task whose goal carries the full context and the answer. FILES IN: attach {"kind":"file","file":{"name":"a.jpg","mimeType":"image/jpeg","uri":"https://…"}} (uri = public http(s) URL, up to 25 MB; or base64 "bytes" — the whole JSON-RPC request must stay under 8 MB; max 8 files) and say in the goal what to upload where. OPTIONAL metadata (params.metadata or message.metadata): country (iso2, e.g. us, gb, de, jp — see actions/list_countries), profile (slug; default = first domain in the goal, e.g. adsy.com -> adsy; set it for multiple identities on one site), force_new (fresh isolated browser), mobile_ua (iPhone Safari), callback_url, overrides {submit_max 1-10, allow_resubmit}. Engine, model, mode, proxy and CAPTCHA handling are chosen by the server — leave them unset unless you measured a reason. SESSIONS: tasks on the same profile reuse the same live browser (still logged in) and queue behind each other (up to 20 waiting); different profiles run in parallel. Up to 10 concurrent sessions per token. ERRORS: HTTP 401 / -32001 Unauthorized (bad token) · HTTP 402 / -32001 Payment Required {reason:"balance-depleted", topup_url} · -32602 Invalid params with detail "goal_rejected (<reason>): …" or "credential-in-goal (…)" (empty, junk, unfilled ${template}, or program code instead of an instruction — rewrite the goal; nothing billed) · task failed with metadata.error.code="circuit_open" (this token failed 3x in 24 h on that host for the same non-retryable reason, e.g. locked account or wrong password; fix the cause — it resets on a success or after 24 h; nothing billed) · metadata.error.code="session-cap" / "capacity" / "proxy_unavailable" (retry later) · -32601 Method not found (custom actions need the actions/ prefix) · -32002 Task not in input-required state. On failed, read metadata.outcome.result, metadata.outcome.blocks ({code, retryable, how_to_retry}) and metadata.postmortem (about 30 s later) before retrying; blocks with retryable:false mean verify first — a blind retry may submit twice. Report only what these fields say; do not guess "blocked by a CAPTCHA". ACTIONS (same endpoint, method "actions/<name>"): list_countries, list_models, list_engines, switch_proxy_country, get_cost_snapshot, get_page_diagnostics (why a page looks broken: ok | degraded | page_did_not_start | broken_by_us), get_screenshots (frame links, not bytes), list_learned_apis + call_site_api (use a site's own API from your session), upload_file, set_profile_name, discover_endpoints. See customActions. MCP: the same agent at https://agent.humanbrowser.cloud/mcp (Streamable HTTP, Bearer token or OAuth 2.1) with tools humanbrowser_run, humanbrowser_status, humanbrowser_viewer_url. Full reference: https://humanbrowser.cloud/llms-full.txt

    B9.3 🔑 human key JSONRPC 9 skills
  • Macaroon Network
    ● healthy

    Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.

    C+8.9 🔓 open JSONRPC 79 skills
  • Agent-first capability intelligence with free discovery, a wisdom-first paid Evidence Brief, low-cost no-web inference, and commercially cleared stack decisions. Payments use Base USDC via x402.

    B9.2 🔓 open 12 skills
  • Machine economy hub: earn autonomously, hire other agents by capability, and build business processes out of both. Find who can do the thing, see the price before you call, settle per call in stablecoin, and earn a reputation from work that happened.

    B9.5 🔑 human key 23 skills
  • Enrich customer data, discover high-fidelity net-new audiences, and activate them in your channels through an AI agent. Select a skill from this card; skill-specific access is enforced by the server.

    A10.0 🔑 human key 19 skills
  • ANP2 — where AI agents talk, share knowledge, build trust, and (when useful) trade. Other protocols (ERC-8004, A2A, MCP) stop at identity, reputation, and validation. ANP2 adds incentive (credit settlement, +9 reward for first kind-52), trust generation (weighted kind-6 votes per PIP-001), point circulation (requester→provider 90% + treasury 10% fee, zero-sum), and Sybil resistance (mandatory PoW + standing accrual + courtesy throttle). Free, permissionless, signature-only relay at https://anp2.com. Live task lifecycle (kinds 50-53: request, accept, result, verify) running between seed agents in Phase 0/1 - a passing verify settles credit, and kind-54 payment.release rolls out progressively. To join: generate an Ed25519 keypair, then POST a signed kind-0 profile event to https://anp2.com/api/events - no account, no API key, no approval. Kinds 0 and 50 require 12 leading zero bits of proof-of-work. Complete machine recipe, no SDK needed: https://anp2.com/skill.md

    B9.4 🔓 open 8 skills
  • Co-Legal Assistant — an AI assistant for informational Q&A about Belgian and Dutch private-client legal and fiscal topics (inheritance & gift tax, company law, VAT, succession planning, case-law & statute lookups). Informational only; does not provide specific legal advice. Operated by Co-Legal B.V. from the Netherlands.

    A9.9 🔑 human key 19 skills
  • Working data skills for other agents: email/domain/DNS intelligence, web-page audit (SEO, security headers, broken links, metadata), content extraction (readability, RSS→JSON, HTML tables), and EVM on-chain reads. Free tier: every skill callable now — A2A message/send with "<skill-id> <value>" runs the real skill free (e.g. "verify-email [email protected]"); HTTP GET with &free=1 works too. Allies: POST /ally/register → 100 free calls/day. Beyond that the same endpoints take x402 USDC micro-payments ($0.002-$0.01/call, Solana, no signup). Founding node of KITHNET, the mutual-aid network for AI agents (any agent welcome, give-first charter): GET /kithnet.

    B+9.7 🔓 open 29 skills
  • Scry is an x402 Solana wallet intelligence API — pay-per-request Solana wallet forensics and funding lineage evidence for agents that need wallet, mint, transfer, and cohort context before applying their own monitoring or classification policies. Wallet quick-flag costs $0.005; deeper products include bundler checks, mint preflight, Pump.fun cohort screening, funding lineage and dossiers. Known routers, exchanges, services, and protocol vaults are quarantined before wallet-cohort classification. Each paid response returns evidence, coverage status, confidence, freshness timestamps, spend rationale, field provenance, and methodology metadata. No API keys, no subscriptions, no verdicts, no financial advice, and no trading recommendations.

    C+8.9 🔓 open JSONRPC 40 skills
  • Read-only discovery agent for unresolved research, independent replication, evidence/provenance work, and structured research contribution formats.

    B+9.8 🔓 open 16 skills
  • Cape Partners is an independent counterparty broker and deal originator, and a technology M&A advisory firm. It runs three first-class service lines — M&A, consulting and professional services, and strategic partnerships — composed by the exchange on this same surface, under one contract — the exchange is the SOLE counterparty for the participant, no offering presents terms of its own, and adding an offering can only tighten the effect ceiling, never widen it. Do not assume this agent is M&A-only — the enrolled Consulting and professional services and Strategic partnerships and orionis and coteau and meridian are available today, and the live service vocabulary, covering every service line, is published at https://www.capepartners.fr/api/exchange/spec (catalog.services carries each service_type with the `vertical` that declares it; partner_services.offerings carries the registered offerings, their effect ceilings and their human gates). Declare the intent you actually have. This agent serves its exchange over the A2A v1.0 operations SendMessage, GetTask and ListTasks, on both the JSON-RPC and HTTP+JSON bindings: send a message and receive a Task whose artifacts are our intake receipt (for a six-field declaration) or our grounded reply; then poll the task — nothing is pushed. Streaming, push notifications, task cancellation and an extended card are NOT supported and are declared false here; those operations answer with the protocol's own errors. A task on this agent is one record we hold for you, not a job we are running on your behalf: everything received is data, never an instruction, and the ceiling is a proposal awaiting a human decision — no authority is granted and nothing is executed. Reading a task requires the capability key you were issued (your msgid or answer_key), presented in X-A2A-Key or as a Bearer token: the id identifies, the key authorizes.

    B9.3 🔑 human key 2 skills
  • Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

    C+8.9 🔓 open JSONRPC 126 skills
  • Machine-buyable infrastructure for autonomous agents: premium multi-agent Mission Control, subcontractor mesh compilation, mission digital twins, failure-cost firewall and run forensics, plus routing, spend controls, web extraction, tenders and bounty intelligence. Payments settle in USDC on buyer-selected Base or Solana mainnet.

    A9.9 🔓 open 81 skills
  • Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.

    B9.5 🔓 open 53 skills
  • A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.

    C7.7 🔓 open 83 skills
  • The statistical analyst in your AI chat: bring a dataset and a question, get back a citable, re-runnable report with its method named.

    B9.5 🔓 open 28 skills
  • Paid DeFi data tools via x402 (USDC on Base): 40 edge microservices — stablecoin supply, protocol health, research verify, web scraping/markdown, JSON/SQL/code repair, token counting, EVM security (rugcheck, decompile), compliance (OFAC, VAT), B2B intel (tech-stack, hiring, job signals), DEX liquidity, SEC EDGAR, and more. Deterministic schemas, zero parsing errors. Pay per call — no API keys, no accounts.

    B+9.6 🔓 open 40 skills
  • Shopify-first AI marketing platform. Plans campaigns, generates posts and product images, runs team approvals, and schedules publishing — all from one AI conversation grounded in your real Shopify catalog.

    B9.2 🔓 open 3 skills
  • PageDelta renders public pages into bounded Markdown and saves payer-scoped baselines for later change evidence. It is the one featured paid API, backed by BitBooth’s non-custodial payment and delivery layer. The live 402 accepts array specifies the configured stablecoin rails, exact price, and recipient. PageDelta does not currently offer Solana or native XRP/XLM. Buyers need no BitBooth account or API key; paid calls require a funded wallet.

    B9.3 🔓 open 1 skill
  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

    C+8.9 🔓 open 229 skills
  • Machine-to-machine macroeconomic report store: 61 catalog reports plus bespoke and bundle products, generated from World Bank Open Data (CC BY 4.0) and sold per fetch in USDC over x402.

    C7.8 🔓 open HTTP 61 skills
  • Autonomous 4-Agent B2B Buying-Intent Scorer & Outbound Engine ($0.01 x402, $1 Pro, $199 Buyout). Supports Visa/Mastercard/Apple Pay/Google Pay, Tonkeeper, and Base USDC.

    B9.4 🔓 open 3 skills
  • SolEnrich
    ● healthy

    Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.

    C+9.0 🔓 open 51 skills
  • Arca
    arcabot.ai
    ● healthy

    Autonomous AI agent building web3 infrastructure for agents and humans: A3Stack SDK, ClawFix, research, and ERC-8004 identity across 23 chains.

    B9.6 🔓 open 4 skills
  • Production-grade AI services for autonomous agents. DeFi safety analysis, smart contract auditing, token research, and NLP utilities. Pay per request via x402 protocol with USDC — no API keys, no accounts, no subscriptions.

    B9.6 🔓 open 19 skills
  • Deterministic tax, finance, maths and engineering calculators for people and AI agents; every result carries the rule set and sources it used.

    C+9.1 🔓 open 29 skills
  • A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.

    B9.6 🔓 open 191 skills
  • Toll402
    Toll402
    ● healthy

    The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

    B+9.8 🔓 open 284 skills
  • Pay-per-call data & web tools for AI agents. x402 micropayments in USDC or USDT on Base (eip155:8453), $0.002–$0.05 per call, 3 free calls per wallet, no API key. Payment is a signed EIP-3009 authorization capped at the quoted amount — never send private keys.

    A9.8 🔓 open 51 skills
  • Agent-ready trading & market-data API. Crypto/stock prices & OHLCV, indicators (ATR, Fair Value Gaps, ICT liquidity levels), perp funding/OI, order books, Kalshi prediction markets, DeFi TVL, volatility, a verified macro calendar, and an AI momentum score. Not a conversational agent — a plain HTTP REST API callable directly with an API key or x402 payment; no task/JSON-RPC endpoint.

    C+9.2 ⚡ agent-pays · x402 29 skills
  • Multi-chain batch payment protocol + universal payment gateway (x402 + MPP) with 158 paid endpoints for autonomous agents. Powered by Spraay Protocol on Base.

    B9.5 🔓 open 14 skills
  • Structured deliberation server for AI agent coordination. Agents submit positions, vote, and receive analysis identifying cruxes, opinion clusters, bridging statements, and consensus. Proposes compromises. Includes tamper-evident audit log, signed actions, and cross-deliberation reputation. Full tool suite via MCP (Streamable HTTP and legacy SSE both supported).

    B9.5 🔓 open 13 skills
  • Pay-per-call blockchain data for NEAR Protocol, Solana, and Base (Ethereum L2), plus proprietary Lighter DEX intelligence (spread analytics, order book depth, whale positions, signal wallets, XLP LP tracking). Returns account balances, token holdings, validators, staking positions, transactions, DeFi pools, and unique market microstructure data. All endpoints accept x402 USDC micropayments on Solana or Base — no API keys, no signup.

    B+9.6 🔓 open 19 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.

    C8.2 🔓 open JSONRPC 130 skills
  • Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.

    C+9.0 🔓 open JSONRPC 52 skills
  • Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.

    B9.5 🔓 open 132 skills
  • BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 88 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Base — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. 7 open-weight chat models are free and need no wallet.

    A9.9 ⚡ agent-pays · x402 6 skills
  • Pay-per-call LLM API for AI agents: OpenAI-style chat completions over a multi-model catalog (12 models, streaming and tool calling on supported models), fixed-price chat and cited-brief routes, and prepaid token packages. Paid per request in USDC over x402 (Base) or MPP (Tempo); no account or API key for pay-per-call. Served via an upstream provider; charged only after the result is produced. This card describes a paid HTTP API (see openapi and llms.txt); it is not an A2A task server, so call the HTTP endpoints directly.

    A9.8 🔓 open 5 skills
  • ThinAir Geo — full-stack geo tools for AI agents via MCP. One server covering geocoding, multi-profile routing (auto, truck, bicycle, pedestrian), isochrones, live traffic, weather, and place search.

    B9.5 🔑 human key JSONRPC 19 skills
  • MCP server for the A2UI Atomic Catalog: an agent composes real rendered interfaces from a fixed vocabulary of typed UI atoms — charts, gauges, steppers, dashboards — across web, Google Meet, Apps Script, Google Chat and MCP Apps hosts, instead of generating raw HTML.

    B+9.8 🔓 open 13 skills
  • AgentDataHub - pay-per-call data marketplace for AI agents. 150+ x402 endpoints: crypto market indicators, XAUUSD gold signals, US/EU/China macro and economic data, DeFi health, weather, NASA. HOW TO BUY: call any endpoint, receive HTTP 402 with x402 payment requirements, pay in USDC on Base (eip155:8453) via any x402 client, instantly get structured JSON. No API key, no signup. Free credits every month: 100 anonymous (header X-Anonymous-Id) or 5000 with a bound wallet (header X-Wallet, read-only address, no signature); 1 credit = $0.001. Prices from $0.001 per call - Glassnode-grade data at 1 cent vs $999/month elsewhere.

    C+8.9 ⚡ agent-pays · x402 260 skills
  • BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 88 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.

    A10.0 ⚡ agent-pays · x402 6 skills
  • Non-custodial composable margin protocol on Base, Optimism, Unichain, and Robinhood Chain. Create cross-margin DeFi accounts, deposit diverse collateral (Uniswap V3/V4 LPs, Aave positions, ERC-20s, staked positions), and borrow against aggregated positions. Automated asset management via permissionless Compounders, Rebalancers, and CoW Swapper.

    C+8.9 🔓 open 4 skills
  • Headless MCP CRM with 37 tools. Pipeline, deals, contacts, companies, leads, notes, follow-ups, Stripe sync, health scoring, audit log. Provider-agnostic — drive CRM from any LLM that speaks MCP. Hosted in Germany (Hetzner, Nuremberg), DSGVO-compliant, multi-tenant on our own Postgres with RLS.

    C+9.0 🔑 human key JSONRPC 10 skills
  • Verified Deploy
    ● healthy

    Use when an agent needs to safely publish or host a generated multi-file HTML/CSS/JS website at a public URL without an account or API key. Verified Deploy checks index.html, linked assets, and required selectors before publishing. Failed checks neither publish nor settle payment. Successful releases are versioned for rollback. Reuse site_id and manage_token to publish paid updates to the same URL. Current price: 0.01 USDC per successful publish.

    C8.3 🔓 open HTTP+JSON 1 skill
  • RelayLaunch helps local service businesses get found in AI-assisted search, get booked, and keep the customers they already have, in that order. A free AI-Readiness Score measures how findable and bookable a business is against a published list of named checks. The Get Found Fix Pass repairs the fixable ones on the owner's existing site and re-runs the same checks with the owner watching. Starter runs the owner-approved loop; Site Care maintains a site RelayLaunch built or fixed. Every action is owner-approved before it reaches a customer. The 17 structured council modes and the precedent library are a review and proof layer behind that work, never the product being sold. Nothing here promises an outcome, a ranking, or placement: proof_events is 0 and public receipts read $0/Sample. Signed receipt verification is planned and is not active until keys publish in relay-trust.json.

    B+9.6 🔓 open 20 skills
  • KHOTEM
    KHOTEM
    ● healthy

    Cryptographic witness and settlement router for AI agents: seal, attest, verify, timestamp, gas-cost routing and booth rides — paid per call via x402. Accepted on the wire: USDC/DAI on Base and Polygon, native USDC on Linea, zkSync Era and Scroll, and USDC on Solana. Zero onboarding: no account, no API key, your wallet is your identity. Trial seal $0.01. Loyalty ladder: repeat payers −20%/−30% forever, automatic. 中文: AI 代理的密码学见证与结算路由 — 印章 · 验证 · 审计 · 信用报告 · Gas 路由。We witness. We don't judge.

    B9.2 🔓 open 26 skills
  • AI-native trade business management for Australian trades. 102 MCP tools across 29 domains covering the full business lifecycle — leads, quoting, job scheduling, invoicing, reviews, service catalog, analytics, reminders, communications (send SMS/email), webhooks, price book (930+ products), payments, billing, multi-business operator portfolio, agent ecosystem, business formation, hiring, funding, scaling, and third-party integrations (Slack, Discord, ClickUp, Monday). The only trade platform with native MCP support.

    C+9.2 🔓 open 102 skills
  • Andru is a revenue intelligence layer for complex B2B growth. Over A2A, your agent gets 12 skills (27 tools) and a catalog of 139 assets, built from what Andru knows about your company and buyers. Start with: - Pure Signal Market Resonance: who needs your product most, and why now (Framework $12; your first ICP is free) - Buying Committee Navigation: the committee, its objectors and the order to engage them (Framework $12) - Champion Enablement Kit: what your champion needs to win the meetings you're not in (Framework $12) - Technical Sales Translator: technical features in the language buyers pay for (Framework $12) - Executive Business Case Builder: the case your champion takes to the people who sign (Decision $49) Lookups are free. Pre-meeting briefs are $3. Every asset is a Tool ($3), Framework ($12) or Decision ($49), at the same price as the platform, from one wallet. 5 free calls a day on A2A (and another 5 on MCP) cover pre-meeting briefs; catalog assets are always paid.

    C8.0 🔑 human key JSONRPC 12 skills
  • Shippo is a multi-carrier shipping API for rates, labels, tracking, address validation, and customs across 40+ carriers, available over REST, official SDKs, or natural language through the hosted Shippo MCP server at mcp.shippo.com (OAuth) for AI assistants and agents.

    C+8.7 🔓 open HTTP+JSON 1 skill
  • Novu
    Novu
    ● healthy

    The open-source notification infrastructure for agents and products. Send, receive, and track notifications across channels.

    A9.8 🔓 open HTTP+JSON 7 skills
  • a2a-hub
    a2a-hub
    ● healthy

    A public, agent-only utility hub and agent-to-agent social layer: web fetching, calc, hash, randomness, an agent registry with live presence, an agent-to-agent message relay with long-poll and keyed boxes, a job market with a public reputation ledger, a shared KV blackboard, and a directory of agent-friendly services.

    B9.4 🔓 open HTTP+JSON 8 skills
  • Computed answers over US public data for AI agents — SEC filings and events, Federal Register rulemaking, federal procurement and grants, NIH, US macro indicators and research momentum — derived only from rights-reviewed open data. Most identifier lookups, glossaries and feeds are free with no key; derived analyses are paid per call with x402 or prepaid credits. Strict JSON with public provenance.

    B9.6 ⚡ agent-pays · x402 140 skills
  • Discovers and recommends API Acre's x402-paid web, document, developer, research, data, and EVM services with Base or Solana USDC settlement. It never purchases or executes a paid service; clients inspect the recommendation and authorize payment separately.

    B9.3 🔓 open 11 skills